<?php

	$factory_lite_custom_css= "";

	/*-------------------First highlight color-------------------*/

	$factory_lite_first_color = get_theme_mod('factory_lite_first_color');

	if($factory_lite_first_color != false){
		$factory_lite_custom_css .='#header, .page-template-custom-home-page .topbar-btn-outer, .main-navigation ul.sub-menu>li>a:before, .more-btn a,#comments input[type="submit"],#comments a.comment-reply-link, input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, #footer-2, .scrollup i, #sidebar h3, .pagination span, .pagination a, .widget_product_search button, .woocommerce span.onsale, #preloader, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__label,.bradcrumbs a:hover, .bradcrumbs span, .post-categories li a:hover,#sidebar label.wp-block-search__label, #sidebar .wp-block-heading,.wp-block-tag-cloud a:hover,nav.navigation.posts-navigation .nav-previous a,nav.navigation.posts-navigation .nav-next a,.wp-block-button__link,.wp-block-woocommerce-cart .wc-block-cart__submit-button,.wc-block-components-totals-coupon__button,.woocommerce-cart .wc-block-grid .wc-block-grid__product-onsale,a.wc-block-components-checkout-return-to-cart-button, .wc-block-components-checkout-place-order-button{';
			$factory_lite_custom_css .='background-color: '.esc_attr($factory_lite_first_color).';';
		$factory_lite_custom_css .='}';
	}

	if($factory_lite_first_color != false){
		$factory_lite_custom_css .='a, p.site-description,p.site-title a, .logo h1 a, .middle-bar i, .ptext, .topbar-btn a, .page-template-custom-home-page .main-navigation a:hover, .page-template-custom-home-page .more-btn a:hover, .htext, #footer .textwidget a,#footer li a:hover,.post-main-box:hover h3 a,#sidebar ul li a:hover,.post-navigation a:hover .post-title, .post-navigation a:focus .post-title,.post-navigation a:hover,.post-navigation a:focus, .woocommerce div.product p.price, .woocommerce div.product span.price,.woocommerce ul.products li.product .price, .middle-bar h6 a:hover, .page-template-custom-home-page #header .custom-social-icons i:hover, .post-main-box:hover h2 a, .post-main-box:hover .post-info a, .slider-inner-box h1 a:hover, .single-post .post-info:hover a,#footer .wp-block-button.aligncenter, .wp-block-calendar a, #footer .wp-block-button.aligncenter, .wp-block-calendar a:hover{';
			$factory_lite_custom_css .='color: '.esc_attr($factory_lite_first_color).';';
		$factory_lite_custom_css .='}';
	}

	if($factory_lite_first_color != false){
		$factory_lite_custom_css .='.box{';
			$factory_lite_custom_css .='border-color: '.esc_attr($factory_lite_first_color).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_custom_css .='@media screen and (max-width:720px) {';
		if($factory_lite_first_color != false){
			$factory_lite_custom_css .='.mobile-box{
			background-color:'.esc_attr($factory_lite_first_color).';
			}';
		}
	$factory_lite_custom_css .='}';

	$factory_lite_custom_css .='@media screen and (min-width: 768px) and (max-width: 1199px){';
		if($factory_lite_first_color != false){
			$factory_lite_custom_css .='#header{
				background-color:'.esc_attr($factory_lite_first_color).';
			}';
		}

		if($factory_lite_first_color != false){
			$factory_lite_custom_css .='.topbar-btn a{
				color:'.esc_attr($factory_lite_first_color).';
			}';
		}
	$factory_lite_custom_css .='}';

	/*---------------------------Width Layout -------------------*/

	$factory_lite_theme_lay = get_theme_mod( 'factory_lite_width_option','Full Width');
    if($factory_lite_theme_lay == 'Boxed'){
		$factory_lite_custom_css .='body{';
			$factory_lite_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='#slider .carousel-caption{';
			$factory_lite_custom_css .='right: 18% !important; left: 18% !important;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='.scrollup i{';
		  $factory_lite_custom_css .='right: 100px;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='.scrollup.left i{';
		  $factory_lite_custom_css .='left: 100px;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_theme_lay == 'Wide Width'){
		$factory_lite_custom_css .='body{';
			$factory_lite_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='.scrollup i{';
		  $factory_lite_custom_css .='right: 30px;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='.scrollup.left i{';
		  $factory_lite_custom_css .='left: 30px;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_theme_lay == 'Full Width'){
		$factory_lite_custom_css .='body{';
			$factory_lite_custom_css .='max-width: 100%;';
		$factory_lite_custom_css .='}';
	}

	/*--------------- Slider Content Layout -------------------*/

	$factory_lite_theme_lay = get_theme_mod( 'factory_lite_slider_content_option','Left');
    if($factory_lite_theme_lay == 'Left'){
		$factory_lite_custom_css .='#slider .carousel-caption{';
			$factory_lite_custom_css .='text-align:left; right: 45%; left:20%';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_theme_lay == 'Center'){
		$factory_lite_custom_css .='#slider .carousel-caption{';
			$factory_lite_custom_css .='text-align:center; right: 30%; left: 30%;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_theme_lay == 'Right'){
		$factory_lite_custom_css .='#slider .carousel-caption{';
			$factory_lite_custom_css .='text-align:right; right: 20%; left: 45%;';
		$factory_lite_custom_css .='}';
	}

	/*------------- Slider Content Padding Settings ------------------*/

	$factory_lite_slider_content_padding_top_bottom = get_theme_mod('factory_lite_slider_content_padding_top_bottom');
	$factory_lite_slider_content_padding_left_right = get_theme_mod('factory_lite_slider_content_padding_left_right');
	if($factory_lite_slider_content_padding_top_bottom != false || $factory_lite_slider_content_padding_left_right != false){
		$factory_lite_custom_css .='#slider .carousel-caption{';
			$factory_lite_custom_css .='top: '.esc_attr($factory_lite_slider_content_padding_top_bottom).'; bottom: '.esc_attr($factory_lite_slider_content_padding_top_bottom).';left: '.esc_attr($factory_lite_slider_content_padding_left_right).';right: '.esc_attr($factory_lite_slider_content_padding_left_right).';';
		$factory_lite_custom_css .='}';
	}


	/*---------------------------Slider Height ------------*/

	$factory_lite_slider_height = get_theme_mod('factory_lite_slider_height');
	if($factory_lite_slider_height != false){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='height: '.esc_attr($factory_lite_slider_height).';';
		$factory_lite_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$factory_lite_theme_lay = get_theme_mod( 'factory_lite_slider_opacity_color','0.7');
	if($factory_lite_theme_lay == '0'){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:0';
		$factory_lite_custom_css .='}';
		}else if($factory_lite_theme_lay == '0.1'){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:0.1';
		$factory_lite_custom_css .='}';
		}else if($factory_lite_theme_lay == '0.2'){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:0.2';
		$factory_lite_custom_css .='}';
		}else if($factory_lite_theme_lay == '0.3'){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:0.3';
		$factory_lite_custom_css .='}';
		}else if($factory_lite_theme_lay == '0.4'){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:0.4';
		$factory_lite_custom_css .='}';
		}else if($factory_lite_theme_lay == '0.5'){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:0.5';
		$factory_lite_custom_css .='}';
		}else if($factory_lite_theme_lay == '0.6'){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:0.6';
		$factory_lite_custom_css .='}';
		}else if($factory_lite_theme_lay == '0.7'){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:0.7';
		$factory_lite_custom_css .='}';
		}else if($factory_lite_theme_lay == '0.8'){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:0.8';
		$factory_lite_custom_css .='}';
		}else if($factory_lite_theme_lay == '0.9'){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:0.9';
		$factory_lite_custom_css .='}';
		}

	/*---------------------- Slider Image Overlay ------------------------*/

	$factory_lite_slider_image_overlay = get_theme_mod('factory_lite_slider_image_overlay', true);
	if($factory_lite_slider_image_overlay == false){
		$factory_lite_custom_css .='#slider img{';
			$factory_lite_custom_css .='opacity:1;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_slider_image_overlay_color = get_theme_mod('factory_lite_slider_image_overlay_color', true);
	if($factory_lite_slider_image_overlay_color != false){
		$factory_lite_custom_css .='#slider{';
			$factory_lite_custom_css .='background-color: '.esc_attr($factory_lite_slider_image_overlay_color).';';
		$factory_lite_custom_css .='}';
	}

	/*---------------- Services Content Layout -------------------*/

	$factory_lite_theme_lay = get_theme_mod( 'factory_lite_services_content_option','Left');
    if($factory_lite_theme_lay == 'Left'){
		$factory_lite_custom_css .='.box{';
			$factory_lite_custom_css .='text-align:left;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_theme_lay == 'Center'){
		$factory_lite_custom_css .='.box{';
			$factory_lite_custom_css .='text-align:center;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_theme_lay == 'Right'){
		$factory_lite_custom_css .='.box{';
			$factory_lite_custom_css .='text-align:right;';
		$factory_lite_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$factory_lite_theme_lay = get_theme_mod( 'factory_lite_blog_layout_option','Default');
    if($factory_lite_theme_lay == 'Default'){
		$factory_lite_custom_css .='.post-main-box{';
			$factory_lite_custom_css .='';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_theme_lay == 'Center'){
		$factory_lite_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p{';
			$factory_lite_custom_css .='text-align:center;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='.post-info{';
			$factory_lite_custom_css .='margin-top:10px;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_theme_lay == 'Left'){
		$factory_lite_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, #our-services p{';
			$factory_lite_custom_css .='text-align:Left;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='.post-main-box h2{';
			$factory_lite_custom_css .='margin-top:10px;';
		$factory_lite_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$factory_lite_blog_page_posts_settings = get_theme_mod( 'factory_lite_blog_page_posts_settings','Into Blocks');
		if($factory_lite_blog_page_posts_settings == 'Without Blocks'){
		$factory_lite_custom_css .='.post-main-box{';
			$factory_lite_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$factory_lite_custom_css .='}';
	}

	/*----------------Responsive Media -----------------------*/

	$factory_lite_resp_stickyheader = get_theme_mod( 'factory_lite_stickyheader_hide_show',false);
	if($factory_lite_resp_stickyheader == true && get_theme_mod( 'factory_lite_sticky_header',false) != true){
    	$factory_lite_custom_css .='.header-fixed{';
			$factory_lite_custom_css .='position:static;';
		$factory_lite_custom_css .='} ';
	}
    if($factory_lite_resp_stickyheader == true){
    	$factory_lite_custom_css .='@media screen and (max-width:575px) {';
		$factory_lite_custom_css .='.header-fixed{';
			$factory_lite_custom_css .='position:fixed;';
		$factory_lite_custom_css .='} }';
	}else if($factory_lite_resp_stickyheader == false){
		$factory_lite_custom_css .='@media screen and (max-width:575px){';
		$factory_lite_custom_css .='.header-fixed{';
			$factory_lite_custom_css .='position:static;';
		$factory_lite_custom_css .='} }';
	}

	$factory_lite_resp_topbar = get_theme_mod( 'factory_lite_resp_topbar_hide_show',true);
	if($factory_lite_resp_topbar == true && get_theme_mod( 'factory_lite_hide_show_topbar_section', true) == false){
    	$factory_lite_custom_css .='.middle-bar{';
			$factory_lite_custom_css .='display:none;';
		$factory_lite_custom_css .='} ';
	}
    if($factory_lite_resp_topbar == true){
    	$factory_lite_custom_css .='@media screen and (max-width:575px) {';
		$factory_lite_custom_css .='.middle-bar{';
			$factory_lite_custom_css .='display:block;';
		$factory_lite_custom_css .='} }';
	}else if($factory_lite_resp_topbar == false){
		$factory_lite_custom_css .='@media screen and (max-width:575px) {';
		$factory_lite_custom_css .='.middle-bar{';
			$factory_lite_custom_css .='display:none;';
		$factory_lite_custom_css .='} }';
	}

	$factory_lite_resp_slider = get_theme_mod( 'factory_lite_resp_slider_hide_show',true);
	if($factory_lite_resp_slider == true && get_theme_mod( 'factory_lite_slider_arrows', true) == false){
    	$factory_lite_custom_css .='#slider{';
			$factory_lite_custom_css .='display:none;';
		$factory_lite_custom_css .='} ';
	}
    if($factory_lite_resp_slider == true){
    	$factory_lite_custom_css .='@media screen and (max-width:575px) {';
		$factory_lite_custom_css .='#slider{';
			$factory_lite_custom_css .='display:block;';
		$factory_lite_custom_css .='} }';
	}else if($factory_lite_resp_slider == false){
		$factory_lite_custom_css .='@media screen and (max-width:575px) {';
		$factory_lite_custom_css .='#slider{';
			$factory_lite_custom_css .='display:none;';
		$factory_lite_custom_css .='} }';
	}

	$factory_lite_resp_sidebar = get_theme_mod( 'factory_lite_sidebar_hide_show',true);
    if($factory_lite_resp_sidebar == true){
    	$factory_lite_custom_css .='@media screen and (max-width:575px) {';
		$factory_lite_custom_css .='#sidebar{';
			$factory_lite_custom_css .='display:block;';
		$factory_lite_custom_css .='} }';
	}else if($factory_lite_resp_sidebar == false){
		$factory_lite_custom_css .='@media screen and (max-width:575px) {';
		$factory_lite_custom_css .='#sidebar{';
			$factory_lite_custom_css .='display:none;';
		$factory_lite_custom_css .='} }';
	}

	$factory_lite_resp_scroll_top = get_theme_mod( 'factory_lite_resp_scroll_top_hide_show',true);
	if($factory_lite_resp_scroll_top == true && get_theme_mod( 'factory_lite_footer_scroll',true) != true){
    	$factory_lite_custom_css .='.scrollup i{';
			$factory_lite_custom_css .='visibility:hidden !important;';
		$factory_lite_custom_css .='} ';
	}
    if($factory_lite_resp_scroll_top == true){
    	$factory_lite_custom_css .='@media screen and (max-width:575px) {';
		$factory_lite_custom_css .='.scrollup i{';
			$factory_lite_custom_css .='visibility:visible !important;';
		$factory_lite_custom_css .='} }';
	}else if($factory_lite_resp_scroll_top == false){
		$factory_lite_custom_css .='@media screen and (max-width:575px){';
		$factory_lite_custom_css .='.scrollup i{';
			$factory_lite_custom_css .='visibility:hidden !important;';
		$factory_lite_custom_css .='} }';
	}

	$factory_lite_resp_menu_toggle_btn_bg_color = get_theme_mod('factory_lite_resp_menu_toggle_btn_bg_color');
	if($factory_lite_resp_menu_toggle_btn_bg_color != false){
		$factory_lite_custom_css .='.toggle-nav i{';
			$factory_lite_custom_css .='background-color: '.esc_attr($factory_lite_resp_menu_toggle_btn_bg_color).';';
		$factory_lite_custom_css .='}';
	}

	/*---------------- Menus Settings ------------------*/

	$factory_lite_menus_item = get_theme_mod( 'factory_lite_menus_item_style','None');
    if($factory_lite_menus_item == 'None'){
		$factory_lite_custom_css .='.main-navigation a{';
			$factory_lite_custom_css .='';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_menus_item == 'Zoom In'){
		$factory_lite_custom_css .='.main-navigation a:hover{';
			$factory_lite_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color:#000;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_navigation_menu_font_size = get_theme_mod('factory_lite_navigation_menu_font_size');
	if($factory_lite_navigation_menu_font_size != false){
		$factory_lite_custom_css .='.main-navigation a{';
			$factory_lite_custom_css .='font-size: '.esc_attr($factory_lite_navigation_menu_font_size).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_navigation_menu_font_weight = get_theme_mod('factory_lite_navigation_menu_font_weight','800');
	if($factory_lite_navigation_menu_font_weight != false){
		$factory_lite_custom_css .='.main-navigation a{';
			$factory_lite_custom_css .='font-weight: '.esc_attr($factory_lite_navigation_menu_font_weight).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_theme_lay = get_theme_mod( 'factory_lite_menu_text_transform','Uppercase');
	if($factory_lite_theme_lay == 'Capitalize'){
		$factory_lite_custom_css .='.main-navigation a{';
			$factory_lite_custom_css .='text-transform:Capitalize;';
		$factory_lite_custom_css .='}';
	}
	if($factory_lite_theme_lay == 'Lowercase'){
		$factory_lite_custom_css .='.main-navigation a{';
			$factory_lite_custom_css .='text-transform:Lowercase;';
		$factory_lite_custom_css .='}';
	}
	if($factory_lite_theme_lay == 'Uppercase'){
		$factory_lite_custom_css .='.main-navigation a{';
			$factory_lite_custom_css .='text-transform:Uppercase;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_header_menus_color = get_theme_mod('factory_lite_header_menus_color');
	if($factory_lite_header_menus_color != false){
		$factory_lite_custom_css .='.main-navigation a, .page-template-custom-home-page .main-navigation a{';
			$factory_lite_custom_css .='color: '.esc_attr($factory_lite_header_menus_color).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_header_menus_hover_color = get_theme_mod('factory_lite_header_menus_hover_color');
	if($factory_lite_header_menus_hover_color != false){
		$factory_lite_custom_css .='.main-navigation a:hover, .page-template-custom-home-page .main-navigation a:hover{';
			$factory_lite_custom_css .='color: '.esc_attr($factory_lite_header_menus_hover_color).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_header_submenus_color = get_theme_mod('factory_lite_header_submenus_color');
	if($factory_lite_header_submenus_color != false){
		$factory_lite_custom_css .='.main-navigation ul ul a, .page-template-custom-home-page .main-navigation ul ul a{';
			$factory_lite_custom_css .='color: '.esc_attr($factory_lite_header_submenus_color).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_header_submenus_hover_color = get_theme_mod('factory_lite_header_submenus_hover_color');
	if($factory_lite_header_submenus_hover_color != false){
		$factory_lite_custom_css .='.main-navigation ul.sub-menu a:hover, .page-template-custom-home-page .main-navigation ul.sub-menu a:hover{';
			$factory_lite_custom_css .='color: '.esc_attr($factory_lite_header_submenus_hover_color).';';
		$factory_lite_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$factory_lite_button_padding_top_bottom = get_theme_mod('factory_lite_button_padding_top_bottom');
	$factory_lite_button_padding_left_right = get_theme_mod('factory_lite_button_padding_left_right');
	if($factory_lite_button_padding_top_bottom != false || $factory_lite_button_padding_left_right != false){
		$factory_lite_custom_css .='.post-main-box .more-btn a{';
			$factory_lite_custom_css .='padding-top: '.esc_attr($factory_lite_button_padding_top_bottom).'!important;
			padding-bottom: '.esc_attr($factory_lite_button_padding_top_bottom).'!important;
			padding-left: '.esc_attr($factory_lite_button_padding_left_right).'!important;
			padding-right: '.esc_attr($factory_lite_button_padding_left_right).'!important;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_button_border_radius = get_theme_mod('factory_lite_button_border_radius');
	if($factory_lite_button_border_radius != false){
		$factory_lite_custom_css .='.post-main-box .more-btn a{';
			$factory_lite_custom_css .='border-radius: '.esc_attr($factory_lite_button_border_radius).'px;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_button_font_size = get_theme_mod('factory_lite_button_font_size',14);
	$factory_lite_custom_css .='.post-main-box .more-btn a{';
		$factory_lite_custom_css .='font-size: '.esc_attr($factory_lite_button_font_size).';';
	$factory_lite_custom_css .='}';

	$factory_lite_theme_lay = get_theme_mod( 'factory_lite_button_text_transform','Uppercase');
	if($factory_lite_theme_lay == 'Capitalize'){
		$factory_lite_custom_css .='.post-main-box .more-btn a{';
			$factory_lite_custom_css .='text-transform:Capitalize;';
		$factory_lite_custom_css .='}';
	}
	if($factory_lite_theme_lay == 'Lowercase'){
		$factory_lite_custom_css .='.post-main-box .more-btn a{';
			$factory_lite_custom_css .='text-transform:Lowercase;';
		$factory_lite_custom_css .='}';
	}
	if($factory_lite_theme_lay == 'Uppercase'){
		$factory_lite_custom_css .='.post-main-box .more-btn a{';
			$factory_lite_custom_css .='text-transform:Uppercase;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_button_letter_spacing = get_theme_mod('factory_lite_button_letter_spacing');
	$factory_lite_custom_css .='.more-btn a{';
		$factory_lite_custom_css .='letter-spacing: '.esc_attr($factory_lite_button_letter_spacing).';';
	$factory_lite_custom_css .='}';

	/*------------- Single Blog Page------------------*/

	$factory_lite_single_blog_comment_title = get_theme_mod('factory_lite_single_blog_comment_title', 'Leave a Reply');
	if($factory_lite_single_blog_comment_title == ''){
		$factory_lite_custom_css .='#comments h2#reply-title {';
			$factory_lite_custom_css .='display: none;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_single_blog_comment_button_text = get_theme_mod('factory_lite_single_blog_comment_button_text', 'Post Comment');
	if($factory_lite_single_blog_comment_button_text == ''){
		$factory_lite_custom_css .='#comments p.form-submit {';
			$factory_lite_custom_css .='display: none;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_comment_width = get_theme_mod('factory_lite_single_blog_comment_width');
	if($factory_lite_comment_width != false){
		$factory_lite_custom_css .='#comments textarea{';
			$factory_lite_custom_css .='width: '.esc_attr($factory_lite_comment_width).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_singlepost_image_box_shadow = get_theme_mod('factory_lite_singlepost_image_box_shadow',0);
	if($factory_lite_singlepost_image_box_shadow != false){
		$factory_lite_custom_css .='.feature-box img{';
			$factory_lite_custom_css .='box-shadow: '.esc_attr($factory_lite_singlepost_image_box_shadow).'px '.esc_attr($factory_lite_singlepost_image_box_shadow).'px '.esc_attr($factory_lite_singlepost_image_box_shadow).'px #cccccc;';
		$factory_lite_custom_css .='}';
	}

	// related posts image box shadow

	$factory_lite_related_image_box_shadow = get_theme_mod('factory_lite_related_image_box_shadow',0);
    if($factory_lite_related_image_box_shadow != false){
        $factory_lite_custom_css .='.related-post .box-image img{';
            $factory_lite_custom_css .='box-shadow: '.esc_attr($factory_lite_related_image_box_shadow).'px '.esc_attr($factory_lite_related_image_box_shadow).'px '.esc_attr($factory_lite_related_image_box_shadow).'px #cccccc;';
        $factory_lite_custom_css .='}';
    }

	// Single post 

	$factory_lite_single_blog_post_navigation_show_hide = get_theme_mod('factory_lite_single_blog_post_navigation_show_hide',true);
	if($factory_lite_single_blog_post_navigation_show_hide != true){
		$factory_lite_custom_css .='.post-navigation{';
			$factory_lite_custom_css .='display: none;';
		$factory_lite_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$factory_lite_align_footer_social_icon = get_theme_mod('factory_lite_align_footer_social_icon');
	if($factory_lite_align_footer_social_icon != false){
		$factory_lite_custom_css .='.copyright .widget{';
			$factory_lite_custom_css .='text-align: '.esc_attr($factory_lite_align_footer_social_icon).';';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='
		@media screen and (max-width:720px) {
			.copyright .widget{';
			$factory_lite_custom_css .='text-align: center;} }';
	}

	$factory_lite_copyright_alingment = get_theme_mod('factory_lite_copyright_alingment');
	if($factory_lite_copyright_alingment != false){
		$factory_lite_custom_css .='.copyright p{';
			$factory_lite_custom_css .='text-align: '.esc_attr($factory_lite_copyright_alingment).';';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p{';
			$factory_lite_custom_css .='text-align: center;} }';
	}
	
	$factory_lite_resp_stickycopyright = get_theme_mod( 'factory_lite_stickycopyright_hide_show',false);
	if($factory_lite_resp_stickycopyright == true && get_theme_mod( 'factory_lite_copyright_sticky',false) != true){
    	$factory_lite_custom_css .='.copyright-sticky{';
			$factory_lite_custom_css .='position:static;';
		$factory_lite_custom_css .='} ';
	}

	$factory_lite_footer_social_icons_font_size = get_theme_mod('factory_lite_footer_social_icons_font_size','16');
	$factory_lite_custom_css .='.copyright .widget i{';
		$factory_lite_custom_css .='font-size: '.esc_attr($factory_lite_footer_social_icons_font_size).'px;';
	$factory_lite_custom_css .='}';

	$factory_lite_copyright_background_color = get_theme_mod('factory_lite_copyright_background_color');
	if($factory_lite_copyright_background_color != false){
		$factory_lite_custom_css .='#footer-2{';
			$factory_lite_custom_css .='background-color: '.esc_attr($factory_lite_copyright_background_color).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_footer_widgets_heading = get_theme_mod( 'factory_lite_footer_widgets_heading','Left');
    if($factory_lite_footer_widgets_heading == 'Left'){
		$factory_lite_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$factory_lite_custom_css .='text-align: left;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_footer_widgets_heading == 'Center'){
		$factory_lite_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$factory_lite_custom_css .='text-align: center;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_footer_widgets_heading == 'Right'){
		$factory_lite_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$factory_lite_custom_css .='text-align: right;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_footer_widgets_content = get_theme_mod( 'factory_lite_footer_widgets_content','Left');
    if($factory_lite_footer_widgets_content == 'Left'){
		$factory_lite_custom_css .='#footer .widget{';
		$factory_lite_custom_css .='text-align: left;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_footer_widgets_content == 'Center'){
		$factory_lite_custom_css .='#footer .widget{';
			$factory_lite_custom_css .='text-align: center;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_footer_widgets_content == 'Right'){
		$factory_lite_custom_css .='#footer .widget{';
			$factory_lite_custom_css .='text-align: right;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_footer_background_color = get_theme_mod('factory_lite_footer_background_color');
	if($factory_lite_footer_background_color != false){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='background-color: '.esc_attr($factory_lite_footer_background_color).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_copyright_font_size = get_theme_mod('factory_lite_copyright_font_size');
	if($factory_lite_copyright_font_size != false){
		$factory_lite_custom_css .='.copyright p{';
			$factory_lite_custom_css .='font-size: '.esc_attr($factory_lite_copyright_font_size).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_footer_padding = get_theme_mod('factory_lite_footer_padding');
	if($factory_lite_footer_padding != false){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='padding: '.esc_attr($factory_lite_footer_padding).' 0;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_footer_background_image = get_theme_mod('factory_lite_footer_background_image');
	if($factory_lite_footer_background_image != false){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='background: url('.esc_attr($factory_lite_footer_background_image).'); background-size:cover;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_theme_lay = get_theme_mod( 'factory_lite_img_footer','scroll');
	if($factory_lite_theme_lay == 'fixed'){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='background-attachment: fixed !important;';
		$factory_lite_custom_css .='}';
	}elseif ($factory_lite_theme_lay == 'scroll'){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='background-attachment: scroll !important;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_footer_img_position = get_theme_mod('factory_lite_footer_img_position','center center');
	if($factory_lite_footer_img_position != false){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='background-position: '.esc_attr($factory_lite_footer_img_position).'!important;';
		$factory_lite_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$factory_lite_related_product_show_hide = get_theme_mod('factory_lite_related_product_show_hide',true);
	if($factory_lite_related_product_show_hide != true){
		$factory_lite_custom_css .='.related.products{';
			$factory_lite_custom_css .='display: none;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_products_btn_padding_top_bottom = get_theme_mod('factory_lite_products_btn_padding_top_bottom');
	if($factory_lite_products_btn_padding_top_bottom != false){
		$factory_lite_custom_css .='a.button.product_type_simple.add_to_cart_button{';
			$factory_lite_custom_css .='padding-top: '.esc_attr($factory_lite_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($factory_lite_products_btn_padding_top_bottom).' !important;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_products_btn_padding_left_right = get_theme_mod('factory_lite_products_btn_padding_left_right');
	if($factory_lite_products_btn_padding_left_right != false){
		$factory_lite_custom_css .='a.button.product_type_simple.add_to_cart_button{';
			$factory_lite_custom_css .='padding-left: '.esc_attr($factory_lite_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($factory_lite_products_btn_padding_left_right).' !important;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_woocommerce_sale_position = get_theme_mod( 'factory_lite_woocommerce_sale_position','left');
    if($factory_lite_woocommerce_sale_position == 'left'){
		$factory_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$factory_lite_custom_css .='left: -10px; right: auto;';
		$factory_lite_custom_css .='}';
	}else if($factory_lite_woocommerce_sale_position == 'right'){
		$factory_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$factory_lite_custom_css .='left: auto !important; right: 5px !important;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_woocommerce_sale_padding_top_bottom = get_theme_mod('factory_lite_woocommerce_sale_padding_top_bottom');
	if($factory_lite_woocommerce_sale_padding_top_bottom != false){
		$factory_lite_custom_css .='.woocommerce span.onsale{';
			$factory_lite_custom_css .='padding-left: '.esc_attr($factory_lite_woocommerce_sale_padding_top_bottom).'; padding-right: '.esc_attr($factory_lite_woocommerce_sale_padding_top_bottom).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_woocommerce_sale_padding_left_right = get_theme_mod('factory_lite_woocommerce_sale_padding_left_right');
	if($factory_lite_woocommerce_sale_padding_left_right != false){
		$factory_lite_custom_css .='.woocommerce span.onsale{';
			$factory_lite_custom_css .='padding-top: '.esc_attr($factory_lite_woocommerce_sale_padding_left_right).'; padding-bottom: '.esc_attr($factory_lite_woocommerce_sale_padding_left_right).';';
		$factory_lite_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	$factory_lite_logo_padding = get_theme_mod('factory_lite_logo_padding');
	if($factory_lite_logo_padding != false){
		$factory_lite_custom_css .='.logo{';
			$factory_lite_custom_css .='padding: '.esc_attr($factory_lite_logo_padding).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_logo_margin = get_theme_mod('factory_lite_logo_margin');
	if($factory_lite_logo_margin != false){
		$factory_lite_custom_css .='.logo{';
			$factory_lite_custom_css .='margin: '.esc_attr($factory_lite_logo_margin).';';
		$factory_lite_custom_css .='}';
	}

	// Site title Font Size
	$factory_lite_site_title_font_size = get_theme_mod('factory_lite_site_title_font_size');
	if($factory_lite_site_title_font_size != false){
		$factory_lite_custom_css .='.logo p.site-title, .logo h1{';
			$factory_lite_custom_css .='font-size: '.esc_attr($factory_lite_site_title_font_size).';';
		$factory_lite_custom_css .='}';
	}

	// Site tagline Font Size
	$factory_lite_site_tagline_font_size = get_theme_mod('factory_lite_site_tagline_font_size');
	if($factory_lite_site_tagline_font_size != false){
		$factory_lite_custom_css .='.logo p.site-description{';
			$factory_lite_custom_css .='font-size: '.esc_attr($factory_lite_site_tagline_font_size).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_site_title_color = get_theme_mod('factory_lite_site_title_color');
	if($factory_lite_site_title_color != false){
		$factory_lite_custom_css .='p.site-title a{';
			$factory_lite_custom_css .='color: '.esc_attr($factory_lite_site_title_color).'!important;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_site_tagline_color = get_theme_mod('factory_lite_site_tagline_color');
	if($factory_lite_site_tagline_color != false){
		$factory_lite_custom_css .='.logo p.site-description{';
			$factory_lite_custom_css .='color: '.esc_attr($factory_lite_site_tagline_color).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_logo_width = get_theme_mod('factory_lite_logo_width');
	if($factory_lite_logo_width != false){
		$factory_lite_custom_css .='.logo img{';
			$factory_lite_custom_css .='width: '.esc_attr($factory_lite_logo_width).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_logo_height = get_theme_mod('factory_lite_logo_height');
	if($factory_lite_logo_height != false){
		$factory_lite_custom_css .='.logo img{';
			$factory_lite_custom_css .='height: '.esc_attr($factory_lite_logo_height).';';
		$factory_lite_custom_css .='}';
	}

	// Woocommerce img

	$factory_lite_shop_featured_image_border_radius = get_theme_mod('factory_lite_shop_featured_image_border_radius', 0);
	if($factory_lite_shop_featured_image_border_radius != false){
		$factory_lite_custom_css .='.woocommerce ul.products li.product a img{';
			$factory_lite_custom_css .='border-radius: '.esc_attr($factory_lite_shop_featured_image_border_radius).'px;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_shop_featured_image_box_shadow = get_theme_mod('factory_lite_shop_featured_image_box_shadow');
	if($factory_lite_shop_featured_image_box_shadow != false){
		$factory_lite_custom_css .='.woocommerce ul.products li.product a img{';
				$factory_lite_custom_css .='box-shadow: '.esc_attr($factory_lite_shop_featured_image_box_shadow).'px '.esc_attr($factory_lite_shop_featured_image_box_shadow).'px '.esc_attr($factory_lite_shop_featured_image_box_shadow).'px #ddd;';
		$factory_lite_custom_css .='}';
	}

	/*------------------ Blog Page Settings  -------------------*/

	$factory_lite_featured_image_border_radius = get_theme_mod('factory_lite_featured_image_border_radius', 0);
	if($factory_lite_featured_image_border_radius != false){
		$factory_lite_custom_css .='.box-image img, .feature-box img{';
			$factory_lite_custom_css .='border-radius: '.esc_attr($factory_lite_featured_image_border_radius).'px;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_featured_image_box_shadow = get_theme_mod('factory_lite_featured_image_box_shadow',0);
	if($factory_lite_featured_image_box_shadow != false){
		$factory_lite_custom_css .='.box-image img, #content-vw img{';
			$factory_lite_custom_css .='box-shadow: '.esc_attr($factory_lite_featured_image_box_shadow).'px '.esc_attr($factory_lite_featured_image_box_shadow).'px '.esc_attr($factory_lite_featured_image_box_shadow).'px #cccccc;';
		$factory_lite_custom_css .='}';
	}

	// featured image dimention
	$factory_lite_blog_post_featured_image_dimension = get_theme_mod('factory_lite_blog_post_featured_image_dimension', 'default');
	$factory_lite_blog_post_featured_image_custom_width = get_theme_mod('factory_lite_blog_post_featured_image_custom_width',250);
	$factory_lite_blog_post_featured_image_custom_height = get_theme_mod('factory_lite_blog_post_featured_image_custom_height',250);
	if($factory_lite_blog_post_featured_image_dimension == 'custom'){
		$factory_lite_custom_css .='.post-main-box img{';
			$factory_lite_custom_css .='width: '.esc_attr($factory_lite_blog_post_featured_image_custom_width).'; height: '.esc_attr($factory_lite_blog_post_featured_image_custom_height).';';
		$factory_lite_custom_css .='}';
	}

	/*--------------- Preloader Background Color  -------------------*/

	$factory_lite_preloader_bg_color = get_theme_mod('factory_lite_preloader_bg_color');
	if($factory_lite_preloader_bg_color != false){
		$factory_lite_custom_css .='#preloader{';
			$factory_lite_custom_css .='background-color: '.esc_attr($factory_lite_preloader_bg_color).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_preloader_border_color = get_theme_mod('factory_lite_preloader_border_color');
	if($factory_lite_preloader_border_color != false){
		$factory_lite_custom_css .='.loader-line{';
			$factory_lite_custom_css .='border-color: '.esc_attr($factory_lite_preloader_border_color).'!important;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_preloader_bg_img = get_theme_mod('factory_lite_preloader_bg_img');
	if($factory_lite_preloader_bg_img != false){
		$factory_lite_custom_css .='#preloader{';
			$factory_lite_custom_css .='background: url('.esc_attr($factory_lite_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_single_blog_post_navigation_show_hide = get_theme_mod('factory_lite_single_blog_post_navigation_show_hide',true);
	if($factory_lite_single_blog_post_navigation_show_hide != true){
		$factory_lite_custom_css .='.post-navigation{';
			$factory_lite_custom_css .='display: none;';
		$factory_lite_custom_css .='}';
	}

	/*----------------Sroll to top Settings ------------------*/

	$factory_lite_scroll_to_top_font_size = get_theme_mod('factory_lite_scroll_to_top_font_size');
	if($factory_lite_scroll_to_top_font_size != false){
		$factory_lite_custom_css .='.scrollup i{';
			$factory_lite_custom_css .='font-size: '.esc_attr($factory_lite_scroll_to_top_font_size).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_scroll_to_top_padding = get_theme_mod('factory_lite_scroll_to_top_padding');
	$factory_lite_scroll_to_top_padding = get_theme_mod('factory_lite_scroll_to_top_padding');
	if($factory_lite_scroll_to_top_padding != false){
		$factory_lite_custom_css .='.scrollup i{';
			$factory_lite_custom_css .='padding-top: '.esc_attr($factory_lite_scroll_to_top_padding).'!important ;padding-bottom: '.esc_attr($factory_lite_scroll_to_top_padding).'!important;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_scroll_to_top_width = get_theme_mod('factory_lite_scroll_to_top_width');
	if($factory_lite_scroll_to_top_width != false){
		$factory_lite_custom_css .='.scrollup i{';
			$factory_lite_custom_css .='width: '.esc_attr($factory_lite_scroll_to_top_width).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_scroll_to_top_height = get_theme_mod('factory_lite_scroll_to_top_height');
	if($factory_lite_scroll_to_top_height != false){
		$factory_lite_custom_css .='.scrollup i{';
			$factory_lite_custom_css .='height: '.esc_attr($factory_lite_scroll_to_top_height).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_scroll_to_top_border_radius = get_theme_mod('factory_lite_scroll_to_top_border_radius');
	if($factory_lite_scroll_to_top_border_radius != false){
		$factory_lite_custom_css .='.scrollup i{';
			$factory_lite_custom_css .='border-radius: '.esc_attr($factory_lite_scroll_to_top_border_radius).'px;';
		$factory_lite_custom_css .='}';
	}
	
	// Header Background Color

	$factory_lite_header_background_color = get_theme_mod('factory_lite_header_background_color');
	if($factory_lite_header_background_color != false){
		$factory_lite_custom_css .='.middle-bar{';
			$factory_lite_custom_css .='background-color: '.esc_attr($factory_lite_header_background_color).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_header_img_position = get_theme_mod('factory_lite_header_img_position','center top');
	if($factory_lite_header_img_position != false){
		$factory_lite_custom_css .='.middle-bar{';
			$factory_lite_custom_css .='background-position: '.esc_attr($factory_lite_header_img_position).'!important;';
		$factory_lite_custom_css .='}';
	}

	/*--------------------- Grid Posts Posts -------------------*/

	$factory_lite_display_grid_posts_settings = get_theme_mod( 'factory_lite_display_grid_posts_settings','Into Blocks');
    if($factory_lite_display_grid_posts_settings == 'Without Blocks'){
		$factory_lite_custom_css .='.grid-post-main-box{';
			$factory_lite_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_grid_featured_image_box_shadow = get_theme_mod('factory_lite_grid_featured_image_box_shadow',0);
	if($factory_lite_grid_featured_image_box_shadow != false){
		$factory_lite_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$factory_lite_custom_css .='box-shadow: '.esc_attr($factory_lite_grid_featured_image_box_shadow).'px '.esc_attr($factory_lite_grid_featured_image_box_shadow).'px '.esc_attr($factory_lite_grid_featured_image_box_shadow).'px #cccccc;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_grid_featured_image_border_radius = get_theme_mod('factory_lite_grid_featured_image_border_radius', 0);
	if($factory_lite_grid_featured_image_border_radius != false){
		$factory_lite_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$factory_lite_custom_css .='border-radius: '.esc_attr($factory_lite_grid_featured_image_border_radius).'px;';
		$factory_lite_custom_css .='}';
	}

	/*---------------------------Footer Style -------------------*/

	$factory_lite_theme_lay = get_theme_mod( 'factory_lite_footer_template','factory_lite-footer-one');
    if($factory_lite_theme_lay == 'factory_lite-footer-one'){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='';
		$factory_lite_custom_css .='}';

	}else if($factory_lite_theme_lay == 'factory_lite-footer-two'){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$factory_lite_custom_css .='color:#000;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='#footer ul li::before{';
			$factory_lite_custom_css .='background:#000;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$factory_lite_custom_css .='border: 1px solid #000;';
		$factory_lite_custom_css .='}';

	}else if($factory_lite_theme_lay == 'factory_lite-footer-three'){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='background: #232524;';
		$factory_lite_custom_css .='}';
	}
	else if($factory_lite_theme_lay == 'factory_lite-footer-four'){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='background: #f7f7f7;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$factory_lite_custom_css .='color:#000;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='#footer ul li::before{';
			$factory_lite_custom_css .='background:#000;';
		$factory_lite_custom_css .='}';
		$factory_lite_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$factory_lite_custom_css .='border: 1px solid #000;';
		$factory_lite_custom_css .='}';
	}
	else if($factory_lite_theme_lay == 'factory_lite-footer-five'){
		$factory_lite_custom_css .='#footer{';
			$factory_lite_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$factory_lite_custom_css .='}';
	}

 	/*---------------- Footer Settings ------------------*/

	$factory_lite_button_footer_heading_letter_spacing = get_theme_mod('factory_lite_button_footer_heading_letter_spacing',1);
	$factory_lite_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$factory_lite_custom_css .='letter-spacing: '.esc_attr($factory_lite_button_footer_heading_letter_spacing).'px;';
	$factory_lite_custom_css .='}';

	$factory_lite_button_footer_font_size = get_theme_mod('factory_lite_button_footer_font_size','30');
	$factory_lite_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$factory_lite_custom_css .='font-size: '.esc_attr($factory_lite_button_footer_font_size).'px;';
	$factory_lite_custom_css .='}';

	$factory_lite_theme_lay = get_theme_mod( 'factory_lite_button_footer_text_transform','Capitalize');
	if($factory_lite_theme_lay == 'Capitalize'){
		$factory_lite_custom_css .='#footer h3{';
			$factory_lite_custom_css .='text-transform:Capitalize;';
		$factory_lite_custom_css .='}';
	}
	if($factory_lite_theme_lay == 'Lowercase'){
		$factory_lite_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$factory_lite_custom_css .='text-transform:Lowercase;';
		$factory_lite_custom_css .='}';
	}
	if($factory_lite_theme_lay == 'Uppercase'){
		$factory_lite_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$factory_lite_custom_css .='text-transform:Uppercase;';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_footer_heading_weight = get_theme_mod('factory_lite_footer_heading_weight','600');
	if($factory_lite_footer_heading_weight != false){
		$factory_lite_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$factory_lite_custom_css .='font-weight: '.esc_attr($factory_lite_footer_heading_weight).';';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_responsive_preloader_hide = get_theme_mod('factory_lite_responsive_preloader_hide',false);
	if($factory_lite_responsive_preloader_hide == true && get_theme_mod('factory_lite_loader_enable',false) == false){
		$factory_lite_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$factory_lite_custom_css .='display:none !important;';
		$factory_lite_custom_css .='} }';
	}

	if($factory_lite_responsive_preloader_hide == false){
		$factory_lite_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$factory_lite_custom_css .='display:none !important;';
		$factory_lite_custom_css .='} }';
	}

	$factory_lite_bradcrumbs_alignment = get_theme_mod( 'factory_lite_bradcrumbs_alignment','Left');
    if($factory_lite_bradcrumbs_alignment == 'Left'){
    	$factory_lite_custom_css .='@media screen and (min-width:768px) {';
		$factory_lite_custom_css .='.bradcrumbs{';
			$factory_lite_custom_css .='text-align:start;';
		$factory_lite_custom_css .='}}';
	}else if($factory_lite_bradcrumbs_alignment == 'Center'){
		$factory_lite_custom_css .='@media screen and (min-width:768px) {';
		$factory_lite_custom_css .='.bradcrumbs{';
			$factory_lite_custom_css .='text-align:center;';
		$factory_lite_custom_css .='}}';
	}else if($factory_lite_bradcrumbs_alignment == 'Right'){
		$factory_lite_custom_css .='@media screen and (min-width:768px) {';
		$factory_lite_custom_css .='.bradcrumbs{';
			$factory_lite_custom_css .='text-align:end;';
		$factory_lite_custom_css .='}}';
	}

	// sticky sidebar
		$factory_lite_resp_stickysidebar = get_theme_mod( 'factory_lite_stickysidebar_hide_show',false);
	if($factory_lite_resp_stickysidebar == true && get_theme_mod( 'factory_lite_sticky_sidebar',false) != true){
		$factory_lite_custom_css .= '@media (min-width: 768px) {';
    	$factory_lite_custom_css .='#sidebar{';
			$factory_lite_custom_css .='position:static;';
		$factory_lite_custom_css .='} ';
		$factory_lite_custom_css .= '}';
	}
    // First Letter Capital
	$factory_lite_show_first_caps = get_theme_mod('factory_lite_show_first_caps', false);
	if ($factory_lite_show_first_caps ) {
	    $factory_lite_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $factory_lite_custom_css .=' font-size: 55px;font-weight: 600;margin-right: 5px;';
	    $factory_lite_custom_css .='}';
	} else {
		$factory_lite_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $factory_lite_custom_css .= 'display: none;';
	    $factory_lite_custom_css .='}';
	}

	// Web Frame 
	$factory_lite_web_frame = get_theme_mod('factory_lite_web_frame',false);
	if($factory_lite_web_frame == false && get_theme_mod( 'factory_lite_web_frame',false) != true){
		$factory_lite_custom_css .='.web-frame{';
		$factory_lite_custom_css .='border: 1px !important';
		$factory_lite_custom_css .='}';
	}

	$factory_lite_web_frame_border_color = get_theme_mod('factory_lite_web_frame_border_color');
	if($factory_lite_web_frame_border_color != false){
		$factory_lite_custom_css .='.web-frame{';
			$factory_lite_custom_css .='border-color: '.esc_attr($factory_lite_web_frame_border_color).'!important;';
		$factory_lite_custom_css .='}';
	}
    
	$factory_lite_web_frame_border_width = get_theme_mod('factory_lite_web_frame_border_width');
	if($factory_lite_web_frame_border_width != false){
		$factory_lite_custom_css .='.web-frame{';
			$factory_lite_custom_css .='border-width: '.esc_attr($factory_lite_web_frame_border_width).'!important;';
		$factory_lite_custom_css .='}';
	}

	// change the Category style //
	$factory_lite_single_post_styling = get_theme_mod( 'factory_lite_single_post_styling','Button');
		if($factory_lite_single_post_styling == 'Underline'){
		$factory_lite_custom_css .='.single-post-category .post-categories li a{';
			$factory_lite_custom_css .='text-decoration: underline; color: #000; background-color: transparent; border:none;';
		$factory_lite_custom_css .='}';
	}
	else if($factory_lite_single_post_styling == 'Default'){
		$factory_lite_custom_css .='.single-post-category .post-categories li a{';
			$factory_lite_custom_css .='text-decoration: none; color: #000; background-color: transparent; border:none;';
		$factory_lite_custom_css .='}';
	}
	// Hover on featured image //
	$factory_lite_show_featured = get_theme_mod( 'factory_lite_featured_image_hide_show', 1 );
	$factory_lite_hover_effect  = get_theme_mod( 'factory_lite_featured_image_hover', 'none' );

	if ( $factory_lite_show_featured && $factory_lite_hover_effect !== 'none' ) {

		$factory_lite_custom_css .= '
		.factory-lite-featured-image img{
			transition: all 0.4s ease;
		}';

		if ( $factory_lite_hover_effect === 'zoom-in' ) {
			$factory_lite_custom_css .= '
			.factory-lite-featured-image:hover img{
				transform: scale(1.2);
			}';
		}

		if ( $factory_lite_hover_effect === 'zoom-out' ) {
			$factory_lite_custom_css .= '
			.factory-lite-featured-image img{
				transform: scale(1.2);
			}
			.factory-lite-featured-image:hover img{
				transform: scale(1);
			}';
		}

		if ( $factory_lite_hover_effect === 'grayscale' ) {
			$factory_lite_custom_css .= '
			.factory-lite-featured-image img{
				filter: grayscale(100%);
			}
			.factory-lite-featured-image:hover img{
				filter: grayscale(0);
			}';
		}

		if ( $factory_lite_hover_effect === 'sepia' ) {
			$factory_lite_custom_css .= '
			.factory-lite-featured-image:hover img{
				filter: sepia(100%);
			}';
		}

		if ( $factory_lite_hover_effect === 'blur' ) {
			$factory_lite_custom_css .= '
			.factory-lite-featured-image:hover img{
				filter: blur(3px);
			}';
		}

		if ( $factory_lite_hover_effect === 'bright' ) {
			$factory_lite_custom_css .= '
			.factory-lite-featured-image:hover img{
				filter: brightness(1.3);
			}';
		}

		if ( $factory_lite_hover_effect === 'translate' ) {
			$factory_lite_custom_css .= '
			.factory-lite-featured-image:hover img{
				transform: translateY(-10px);
			}';
		}
	}
